summaryrefslogtreecommitdiff
path: root/tests/fuzz/download_fuzzer.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/fuzz/download_fuzzer.sh')
-rwxr-xr-xtests/fuzz/download_fuzzer.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/tests/fuzz/download_fuzzer.sh b/tests/fuzz/download_fuzzer.sh
new file mode 100755
index 000000000..28228e004
--- /dev/null
+++ b/tests/fuzz/download_fuzzer.sh
@@ -0,0 +1,8 @@
+#!/bin/bash
+
+# If any commands fail, fail the script immediately.
+set -ex
+
+# Clone the curl-fuzzer repository to the specified directory.
+git clone http://github.com/curl/curl-fuzzer $1
+